Skip to main content
`Ctrl`+`K`

# PetscViewerBinaryGetInfoPointer

Extracts the file pointer for the ASCII `.info` file associated with a binary file.

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryGetInfoPointer(PetscViewer viewer, FILE **file)

Not Collective; No Fortran Support

## Input Parameter

- viewer - `PetscViewer` context, obtained from `PetscViewerBinaryOpen()`

## Output Parameter

- file - file pointer Always returns `NULL` if not a binary viewer

## Note

For writable binary `PetscViewer`s, the file pointer will only be valid for the first processor in the MPI communicator that shares the `PetscViewer`.

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERBINARY`, `PetscViewerBinaryOpen()`, `PetscViewerBinaryGetDescriptor()`, `PetscViewerBinaryGetSkipInfo()`, `PetscViewerBinarySetSkipInfo()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/binary/binv.c

## Implementations

PetscViewerBinaryGetInfoPointer_Binary() in src/sys/classes/viewer/impls/binary/binv.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages